%global momorel 1
%define tarball xf86-input-vmmouse
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 vmmouse input driver
Name:      xorg-x11-drv-vmmouse
Version: 12.5.1
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
Source0: %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 
NoSource: 0
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-devel >= 1.4

Requires: xorg-x11-server-Xorg >= 1.2.99.902

%description 
X.Org X11 vmmouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -regex ".*\.la$" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/vmmouse_drv.so
%{_mandir}/man4/vmmouse.4.*

%changelog
* Sat May 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (12.5.1-1m)
- update 12.5.1

* Sun May  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (12.5.0-1m)
- update 12.5.0
- change BPR xorg-x11-server-sdk to xorg-x11-server-devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (12.4.3-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (12.4.3-2m)
- %%NoSource -> NoSource

* Wed Oct  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (12.4.3-1m)
- update 12.4.3

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (12.4.2-1m)
- update 12.4.2
- rebuild against xorg-x11-server-1.4

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (12.4.1-1m)
- update to 12.4.1

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (12.4.0-1m)
- initial build
